/* ==================================================
 GENERAL
===================================================== */
body {
  margin: 0;
  padding: 0;
}

@media (prefers-reduced-motion: reduce) {html * {
		-webkit-transition: all 0.5s !important;
		-moz-transition: all 0.5s !important;
		-ms-transition: all 0.5s !important;
		-o-transition: all 0.5s !important;
		transition: all 0.5s !important;
	}
}


/* ===========================================
 ANIMATIONS
============================================== */
/* Up Down */
@-webkit-keyframes updown {
    50% {
        -webkit-transform: translate(0, 10px);
        transform: translate(0, 10px);
    }
}
@keyframes updown {
    50% {
        -webkit-transform: translate(0, 10px);
        transform: translate(0, 10px);
    }
}
.circle_btn{
	content: '';
	position: absolute;	
    -webkit-animation: updown 2s linear 0s infinite;
    animation: updown 2s linear 0s infinite;
    transition: 0.4s all ease-in-out;
    -webkit-transition: 0.4s all ease-in-out;
    -moz-transition: 0.4s all ease-in-out;
    -ms-transition: 0.4s all ease-in-out;
    -o-transition: 0.4s all ease-in-out;
}

/* ===========================================
 CONTAINER
============================================== */
.global_container {
    padding: clamp(3.125rem, 2.3665rem + 3.2362vw, 6.25rem) 6.125rem;
}
.global_inner_container {
    padding: 0 6.125rem;
}
.footer_container {
  padding: 60px 6.125rem 38px 6.125rem;
}
/* ===========================================
 ELEMENTOR
============================================== */
.elementor-widget-text-editor a{
	color: #fff;
	fill: #fff;
}
.elementor-image-carousel-wrapper .elementor-swiper-button{
	background: var(--e-global-color-8b09aac);
	padding: 10px;
	border-radius: 50%;
}
.elementor-image-carousel-wrapper .elementor-swiper-button svg{
	color: var(--e-global-color-secondary) !important;
	fill: var(--e-global-color-secondary) !important;
}
.white_bg .elementor-widget-text-editor h2,
.white_bg .elementor-widget-text-editor h3,
.white_bg .elementor-widget-text-editor h4{
	color: var(--e-global-color-b5bab4d);
	fill: var(--e-global-color-b5bab4d);	
	margin-top: 40px;
}
.white_bg .elementor-widget-text-editor a{
	color: var(--e-global-color-text);
	fill: var(--e-global-color-text);
	text-decoration: underline;
}
.white_bg .elementor-widget-text-editor a:hover{
	color: var(--e-global-color-accent);
	fill: var(--e-global-color-accent);
	text-decoration: none;
}

.white_bg .elementor-widget-theme-post-content h2,
.white_bg .elementor-widget-theme-post-content h3,
.white_bg .elementor-widget-theme-post-content h4{
	color: var(--e-global-color-b5bab4d);
	fill: var(--e-global-color-b5bab4d);	
	margin-top: 40px;	
}

.white_bg .elementor-widget-theme-post-content img{
	border-radius: 10px;
}

/* ===========================================
 HEADER
============================================== */
.header_area {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    background: transparent;
    background-size: 100%;
    z-index: 10;
}
.header_area.affix{
    position: fixed !important;
    top: 0 !important;
    left: 0;
	right: 0;
    z-index: 100;
    width: 100%;
	background: var(--e-global-color-primary);
    -webkit-box-shadow: 0 1px 1px rgb(0 0 0 / 10%);
    box-shadow: 0 1px 1px rgb(0 0 0 / 10%);
    -webkit-animation: 500ms ease-in-out 0s normal none 1 running fadeInDown;
    animation: 500ms ease-in-out 0s normal none 1 running fadeInDown;
    border-bottom: 0px solid #658043;
}
/* ===========================================
 HEADING
============================================== */
.gradient_text {
    background: linear-gradient(90deg, var(--e-global-color-primary), var(--e-global-color-accent));
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
}

/* ===========================================
 BUTTONS
============================================== */
.solid_btn a.elementor-button {
    padding: 0;
    background: transparent;
}
.solid_btn a.elementor-button:hover {
    padding: 0;
    background: transparent;
	color: var(--e-global-color-accent);
	fill: var(--e-global-color-accent);
}


/* ===========================================
 PROJEKTS
============================================== */
.project_block .elementor-widget-text-editor p{
	margin-block-end: 0;
	margin-block-start: 0;
}

/* ===========================================
 TJANSTER
============================================== */
.icon_boxes_area {
    position: relative;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
}
.icon_boxes_area:hover{
	transform: translateY(-8px);
}

/* ===========================================
POSTS
============================================== */
.posts_boxe_area {
    background-color: #fff;
    -webkit-box-shadow: 0px 0px 30px 0px rgba(0, 42, 106, 0.1);
    box-shadow: 0px 0px 30px 0px rgba(0, 42, 106, 0.1);
    border-radius: 10px;
    padding: 25px;
}

/* ===========================================
 SEARCH FORM
============================================== */
.search-form {
    display: flex;
    align-items: center;
    max-width: 520px;
    border: 1px solid #e5e5e5;
    border-radius: 999px;
    background: #fff;
    overflow: hidden;
    box-shadow: 0 2px 10px rgba(0,0,0,0.04);
}

.search-form:focus-within {
    border-color: #999;
    box-shadow: 0 4px 18px rgba(0,0,0,0.08);
}

.search-form label {
    flex: 1;
    margin: 0;
}

.search-field {
    width: 100%;
    padding: 14px 18px;
    border: none !important;
    outline: none !important;
    font-size: 15px;
    background: transparent;
}

.search-submit {
    width: 52px;
    height: 52px;
    border: none;
    cursor: pointer;
    background: #111;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.2s ease;
}

.search-submit {
	background-color: var(--e-global-color-primary) !important;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='white' viewBox='0 0 24 24'%3E%3Cpath d='M10 2a8 8 0 105.293 14.293l4.707 4.707 1.414-1.414-4.707-4.707A8 8 0 0010 2zm0 2a6 6 0 110 12A6 6 0 0110 4z'/%3E%3C/svg%3E") !important;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 18px;
    font-size: 0;
	text-indent: -9999px;
}
.search-submit:hover {
   background-color: var(--e-global-color-accent) !important;
}

/* ===========================================
TESTIMONIALS
============================================== */
.common_boxes_area {
    position: relative;
    background-color: #fff;
    -webkit-box-shadow: 0px 0px 30px 0px rgba(0, 42, 106, 0.1);
    box-shadow: 0px 0px 30px 0px rgba(0, 42, 106, 0.1);
    border-radius: 10px;
    padding: 25px;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
}
.common_boxes_area:hover{
	transform: translateY(-8px);
}

.testimonial_area .elementor-loop-container{
	padding: 30px 0px 30px 0px;
}
.testimonial_area .common_boxes_area {
    position: relative;
    background-color: #fff;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 0px;
    padding: 0px;
}

/* ===========================================
CONTACT
============================================== */
.gform_layout ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
	color: rgba(16, 16, 20, 0.2) !important;
}
.gform_layout ::-moz-placeholder { /* Firefox 19+ */
	color: rgba(16, 16, 20, 0.2) !important;
}
.gform_layout :-ms-input-placeholder { /* IE 10+ */
	color: rgba(16, 16, 20, 0.2) !important;
}
.gform_layout :-moz-placeholder { /* Firefox 18- */
	color: rgba(16, 16, 20, 0.2) !important;
}
.gform_layout .gform_heading{
	display: none;
	visibility: hidden;
}
.gform_layout form {
    background: #fff;
    border: 1px solid rgba(230,230,230,1);
    padding: 20px;
    border-radius: 10px;
	padding: 45px 40px 50px 40px;
}
.gform_layout .gform-theme--api, 
.gform_layout .gform-theme--foundation {
    --gf-form-gap-y: 16px;
}

.gform_layout form .gfield_label{
	font-weight: 700;
}

.gform_layout input {
    background: #fafafa !important;
    border: 1px solid #dbdad9 !important;
    padding: 15px;
    min-height: 52px !important;
}
.gform_layout select {
	-webkit-appearance: none !important;
	-moz-appearance: none !important;
	appearance: none !important;
	padding: 15px;
	min-height: 52px;
	line-height: 1.4;
	cursor: pointer;
	border: 1px solid #dbdad9 !important;
	color: #8B8675;
}
.gform_layout textarea {
    background: #fafafa !important;
    border: 1px solid #dbdad9 !important;
    padding: 15px;
    max-height: 110px !important;
}

.gform_layout .gform_footer{
	display: block;
}

.gform_layout input:focus,
.gform_layout textarea:focus,
.gform_layout select:focus{
    border: 1px solid #000 !important;
    outline: none !important;
}

.gform_layout input[type="file"]{
	cursor: pointer;
}

.gform_layout .gform_fileupload_rules {
    font-style: italic;
    font-size: 12px;
}

.gform_layout input[type="button"], 
.gform_layout input[type="submit"] {
	width: 100% !important;
	color: #fff !important;
	background-color: rgba(16, 16, 20, 0.75) !important;
	border-style: solid !important;
	border-width: 1px 1px 1px 1px !important;
	border-color: rgba(16, 16, 20, 0.75) !important;
	padding: 16px 30px 14px 30px;
	text-transform: uppercase !important;
}
.gform_layout input[type="button"]:hover, 
.gform_layout input[type="submit"]:hover {
    color: #fff !important;
    background-color: #000 !important;
    border-width: 1px 1px 1px 1px !important;
    border-color: #000 !important;
}

/* ===========================================
 BACK TO TOP
============================================== */
.go-top {
    position: fixed;
    top: auto;
    bottom: 30px;
    left: auto;
    right: 20px;
    width: auto;
	z-index: 10;
}
.go-top a.elementor-button {
	cursor: pointer;
	border-radius: 50%;
	width: 60px;
	height: 60px;
	display: flex;
	align-items: center;
	justify-content: center;
	white-space: nowrap;
	-webkit-animation: updown 2s linear 0s infinite;
	animation: updown 2s linear 0s infinite;
	transition: 0.4s all ease-in-out;
	-webkit-transition: 0.4s all ease-in-out;
	-moz-transition: 0.4s all ease-in-out;
	-ms-transition: 0.4s all ease-in-out;
	-o-transition: 0.4s all ease-in-out;
}
.go-top a.elementor-button span.elementor-button-text{
	color: var(--e-global-color-8b09aac) !important;
	font-weight: 900;
}
.go-top a.elementor-button .elementor-button-icon svg {
	width: 1.5em;
}




